What's the most recommendable firm between 4.1 and 4.5?

Discussion in '3DS - Flashcards & Custom Firmwares' started by Blueie, Aug 5, 2014.

  1. Blueie
    OP

    Blueie GBAtemp Regular

    Member
    223
    35
    Apr 30, 2013
    Argentina
    Hiya. I have a 3DS with firmware version 4.0.5 and I just purchased a Gateway, so I'm planning to upgrade via game cart to 4.1-4.5. What would be the best version? Most people seem to upgrade to 4.5. Is that the most feature-rich version that supports Gateway? Isn't there anything that I can do with previous versions but not with 4.5? ie: Was any useful exploit fixed between 4.1 and 4.5? Also, isn't there any way of dumping my NAND on 4.0.5 before doing the upgrade?
    Thank you!
     
  2. elmoemo

    elmoemo GBAtemp Advanced Fan

    Member
    568
    122
    Dec 4, 2012
    As far as I'm aware is 4.2 to 4.5 are the best
    All features are the same on all firmwares
     
  3. Nurio

    Nurio That Kirby fan

    Member
    842
    191
    Mar 31, 2009
    Netherlands
    The Netherlands
    Yes. To clarify this, there have been some reported problems with 4.1, but it's even unclear whether those problems are even still present with the latest firmware. (Last report of trouble was a long time ago.)
    Still, if you have the freedom of choice, it is indeed better to be on the safe side and go for a firmware like 4.2
     
  4. Blueie
    OP

    Blueie GBAtemp Regular

    Member
    223
    35
    Apr 30, 2013
    Argentina
    Thanks for the replies. From looking at this, there don't seem to be any American games with 4.2, so I'll have to make do with 4.3. No way of dumping my NAND before the upgrade? If not, the earliest version I would be able to dump it with would be 4.1, right?
     
  5. Abcdfv

    Abcdfv What comes around goes around.

    Member
    1,437
    583
    Dec 24, 2013
    United States
    Hardware mod, involves soldering
     
  6. Nurio

    Nurio That Kirby fan

    Member
    842
    191
    Mar 31, 2009
    Netherlands
    The Netherlands
    Correct. Through software means, the earliest version you'd be able to dump is 4.1
    There is the aforementioned hardware mod, but personally, I wouldn't say that's worth it.
     
  7. dubbz82

    dubbz82 GBAtemp Maniac

    Member
    1,493
    806
    Feb 2, 2014
    United States
    EDIT: I didn't read the above post completely.....my fault.
     
  8. Dewdrops

    Dewdrops GBAtemp Regular

    Member
    119
    17
    Apr 20, 2014
    Malaysia
    Everything works within that range. No need to fix what's not broken.
     
  9. drfsupercenter

    drfsupercenter Flash Cart Aficionado

    Member
    1,896
    234
    Mar 26, 2008
    United States
    Actually, 4.5 I believe blocks most flash carts, the AceKard works on 4.3 but not 4.5

    So you might want to stick to 4.3, I don't think 4.5 adds anything, it just blocks more stuff.
     
  10. elmoemo

    elmoemo GBAtemp Advanced Fan

    Member
    568
    122
    Dec 4, 2012
    I'm on 4.5 so getting gateway when I have the spare dough.
     
  11. noki@

    noki@ GBAtemp Regular

    Member
    118
    11
    Mar 14, 2010
    Mine came with 4.1, I did consider updating to 4.5, but then decided there is no need to. Gateway seems to work fine for me. I did not know that Acekard works on <4.3, but I still got my DS anyway.
     
  12. SirByte

    SirByte GBAtemp Fan

    Member
    489
    191
    Dec 30, 2012
    Canada
    I'm on 4.1 and have no issues (maybe twice I had to power down as the exploit didn't work, 2nd time it always did).
     
  13. drfsupercenter

    drfsupercenter Flash Cart Aficionado

    Member
    1,896
    234
    Mar 26, 2008
    United States
    I upgraded from 4.4 to 4.5 just because there's no difference between them as far as I know (some more searching suggests it's actually 4.4 that did the massive flash cart blocks)

    My new system that came with MK7 pre-installed is on 4.3 though, and that seems to be better in the long run since I could use older flash carts as well.
     
  14. Blueie
    OP

    Blueie GBAtemp Regular

    Member
    223
    35
    Apr 30, 2013
    Argentina
    Thanks for all the help! One more question: If I choose to upgrade to 4.1, backup the NAND, and then upgrade to 4.3, will I have to purchase two game carts, or I can do the second upgrade cart-less?
     
  15. gamesquest1

    gamesquest1 Nabnut

    Member
    14,079
    9,415
    Sep 23, 2013
    if the gateway card you receive doesn't already have the FPGA updated yet you can use a rom to update from 4.1 to any of the other 4.x firmwares by using the 1.0 gateway firmware.....just be aware as soon as you update to gateway fw 2.2 you loose the ability to update via a rom as the 1.0 firmware will no longer work.
     
    Blueie likes this.
  16. Nurio

    Nurio That Kirby fan

    Member
    842
    191
    Mar 31, 2009
    Netherlands
    The Netherlands
    Indeed. To clarify this a bit more...
    With the OMEGA releases from Gateway (That's OMEGA 2.0, 2.1 and 2.2), the "internal firmware" (so to speak; this is the FPGA gamesquest1 is talking about) of the card had to be updated. This updated FPGA made the card incompatible with non-OMEGA releases.
    Only the very first Gateway release (a non-OMEGA release) has the capability to update the 3DS through ROMs. This is the Gateway 1.0 release and it works very different from the latest OMEGA 2.2 release. It's best to read up on it.
     
    Blueie likes this.